GET api/contractapi/contractsbysitecustomer/{siteCustomerId}?active={active}&lastUpdate={lastUpdate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteCustomerId

globally unique identifier

Required

active

boolean

None.

lastUpdate

date

None.

Body Parameters

None.

Response Information

Resource Description

Collection of ContractViewModel
NameDescriptionTypeAdditional information
selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

washing_processes

Collection of WashingProcessViewModel

None.

active

boolean

Required

certificate_type_id

globally unique identifier

Required

code

integer

None.

delay_between_scans

integer

None.

id

globally unique identifier

None.

internal_reference

string

String length: inclusive between 0 and 50

item_wash_max

integer

None.

language_code

string

Required

String length: inclusive between 0 and 10

name

string

Required

String length: inclusive between 0 and 100

packaging_type_id

globally unique identifier

Required

packing_type_id

globally unique identifier

Required

particles_control

boolean

Required

peremption_month

integer

None.

peremption_print_cleanroom

boolean

Required

peremption_print_date

boolean

Required

peremption_print_expedition

boolean

Required

permanent_management

boolean

Required

pool_id

globally unique identifier

None.

remark

string

None.

site_customer_id

globally unique identifier

Required

sorting_type_id

globally unique identifier

Required

type

string

Required

String length: inclusive between 0 and 1

Response Formats

application/json, text/json

Sample:
[
  {
    "selected_nameplate_id": "93dc0f8f-abfe-4ed1-a30c-d34a6b1019eb",
    "selected_sticker_id": "3cf4f272-cda8-42fe-9465-3311e8bf7f1a",
    "washing_processes": [
      {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "264bc528-ebab-4fdd-83b4-371a2f233e94",
        "site_id": "f7ff0bfb-f4da-4ffc-8b0a-f699a8528eb6"
      },
      {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "264bc528-ebab-4fdd-83b4-371a2f233e94",
        "site_id": "f7ff0bfb-f4da-4ffc-8b0a-f699a8528eb6"
      }
    ],
    "active": true,
    "certificate_type_id": "a8920560-ad18-4c4f-aacb-60587825d7c7",
    "code": 1,
    "delay_between_scans": 1,
    "id": "d720d712-4f5c-4513-8636-43e66b85e241",
    "internal_reference": "sample string 4",
    "item_wash_max": 1,
    "language_code": "sample string 5",
    "name": "sample string 6",
    "packaging_type_id": "544ba089-5f35-4c3c-a59e-6147620602dd",
    "packing_type_id": "986b80d3-d3fd-4ad1-93a5-eab292ba21db",
    "particles_control": true,
    "peremption_month": 1,
    "peremption_print_cleanroom": true,
    "peremption_print_date": true,
    "peremption_print_expedition": true,
    "permanent_management": true,
    "pool_id": "cf0e56e7-e255-4a9a-9382-fef94ecd67e0",
    "remark": "sample string 14",
    "site_customer_id": "2166017a-ab70-4f44-9d74-5bd8dfddf8da",
    "sorting_type_id": "8c71bf02-24c4-448e-8ede-8d337a3814d9",
    "type": "sample string 17"
  },
  {
    "selected_nameplate_id": "93dc0f8f-abfe-4ed1-a30c-d34a6b1019eb",
    "selected_sticker_id": "3cf4f272-cda8-42fe-9465-3311e8bf7f1a",
    "washing_processes": [
      {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "264bc528-ebab-4fdd-83b4-371a2f233e94",
        "site_id": "f7ff0bfb-f4da-4ffc-8b0a-f699a8528eb6"
      },
      {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "264bc528-ebab-4fdd-83b4-371a2f233e94",
        "site_id": "f7ff0bfb-f4da-4ffc-8b0a-f699a8528eb6"
      }
    ],
    "active": true,
    "certificate_type_id": "a8920560-ad18-4c4f-aacb-60587825d7c7",
    "code": 1,
    "delay_between_scans": 1,
    "id": "d720d712-4f5c-4513-8636-43e66b85e241",
    "internal_reference": "sample string 4",
    "item_wash_max": 1,
    "language_code": "sample string 5",
    "name": "sample string 6",
    "packaging_type_id": "544ba089-5f35-4c3c-a59e-6147620602dd",
    "packing_type_id": "986b80d3-d3fd-4ad1-93a5-eab292ba21db",
    "particles_control": true,
    "peremption_month": 1,
    "peremption_print_cleanroom": true,
    "peremption_print_date": true,
    "peremption_print_expedition": true,
    "permanent_management": true,
    "pool_id": "cf0e56e7-e255-4a9a-9382-fef94ecd67e0",
    "remark": "sample string 14",
    "site_customer_id": "2166017a-ab70-4f44-9d74-5bd8dfddf8da",
    "sorting_type_id": "8c71bf02-24c4-448e-8ede-8d337a3814d9",
    "type": "sample string 17"
  }
]

application/xml, text/xml

Sample:
<ArrayOfcontract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <contract>
    <active>true</active>
    <certificate_type_id>a8920560-ad18-4c4f-aacb-60587825d7c7</certificate_type_id>
    <code>1</code>
    <delay_between_scans>1</delay_between_scans>
    <id>d720d712-4f5c-4513-8636-43e66b85e241</id>
    <internal_reference>sample string 4</internal_reference>
    <item_wash_max>1</item_wash_max>
    <language_code>sample string 5</language_code>
    <name>sample string 6</name>
    <packaging_type_id>544ba089-5f35-4c3c-a59e-6147620602dd</packaging_type_id>
    <packing_type_id>986b80d3-d3fd-4ad1-93a5-eab292ba21db</packing_type_id>
    <particles_control>true</particles_control>
    <peremption_month>1</peremption_month>
    <peremption_print_cleanroom>true</peremption_print_cleanroom>
    <peremption_print_date>true</peremption_print_date>
    <peremption_print_expedition>true</peremption_print_expedition>
    <permanent_management>true</permanent_management>
    <pool_id>cf0e56e7-e255-4a9a-9382-fef94ecd67e0</pool_id>
    <remark>sample string 14</remark>
    <site_customer_id>2166017a-ab70-4f44-9d74-5bd8dfddf8da</site_customer_id>
    <sorting_type_id>8c71bf02-24c4-448e-8ede-8d337a3814d9</sorting_type_id>
    <type>sample string 17</type>
    <selected_nameplate_id>93dc0f8f-abfe-4ed1-a30c-d34a6b1019eb</selected_nameplate_id>
    <selected_sticker_id>3cf4f272-cda8-42fe-9465-3311e8bf7f1a</selected_sticker_id>
    <washing_processes>
      <washing_process>
        <active>true</active>
        <code>sample string 2</code>
        <id>264bc528-ebab-4fdd-83b4-371a2f233e94</id>
        <site_id>f7ff0bfb-f4da-4ffc-8b0a-f699a8528eb6</site_id>
        <descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 1</d5p1:Key>
            <d5p1:Value>sample string 2</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 3</d5p1:Key>
            <d5p1:Value>sample string 4</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
        </descriptions>
      </washing_process>
      <washing_process>
        <active>true</active>
        <code>sample string 2</code>
        <id>264bc528-ebab-4fdd-83b4-371a2f233e94</id>
        <site_id>f7ff0bfb-f4da-4ffc-8b0a-f699a8528eb6</site_id>
        <descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 1</d5p1:Key>
            <d5p1:Value>sample string 2</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 3</d5p1:Key>
            <d5p1:Value>sample string 4</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
        </descriptions>
      </washing_process>
    </washing_processes>
  </contract>
  <contract>
    <active>true</active>
    <certificate_type_id>a8920560-ad18-4c4f-aacb-60587825d7c7</certificate_type_id>
    <code>1</code>
    <delay_between_scans>1</delay_between_scans>
    <id>d720d712-4f5c-4513-8636-43e66b85e241</id>
    <internal_reference>sample string 4</internal_reference>
    <item_wash_max>1</item_wash_max>
    <language_code>sample string 5</language_code>
    <name>sample string 6</name>
    <packaging_type_id>544ba089-5f35-4c3c-a59e-6147620602dd</packaging_type_id>
    <packing_type_id>986b80d3-d3fd-4ad1-93a5-eab292ba21db</packing_type_id>
    <particles_control>true</particles_control>
    <peremption_month>1</peremption_month>
    <peremption_print_cleanroom>true</peremption_print_cleanroom>
    <peremption_print_date>true</peremption_print_date>
    <peremption_print_expedition>true</peremption_print_expedition>
    <permanent_management>true</permanent_management>
    <pool_id>cf0e56e7-e255-4a9a-9382-fef94ecd67e0</pool_id>
    <remark>sample string 14</remark>
    <site_customer_id>2166017a-ab70-4f44-9d74-5bd8dfddf8da</site_customer_id>
    <sorting_type_id>8c71bf02-24c4-448e-8ede-8d337a3814d9</sorting_type_id>
    <type>sample string 17</type>
    <selected_nameplate_id>93dc0f8f-abfe-4ed1-a30c-d34a6b1019eb</selected_nameplate_id>
    <selected_sticker_id>3cf4f272-cda8-42fe-9465-3311e8bf7f1a</selected_sticker_id>
    <washing_processes>
      <washing_process>
        <active>true</active>
        <code>sample string 2</code>
        <id>264bc528-ebab-4fdd-83b4-371a2f233e94</id>
        <site_id>f7ff0bfb-f4da-4ffc-8b0a-f699a8528eb6</site_id>
        <descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 1</d5p1:Key>
            <d5p1:Value>sample string 2</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 3</d5p1:Key>
            <d5p1:Value>sample string 4</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
        </descriptions>
      </washing_process>
      <washing_process>
        <active>true</active>
        <code>sample string 2</code>
        <id>264bc528-ebab-4fdd-83b4-371a2f233e94</id>
        <site_id>f7ff0bfb-f4da-4ffc-8b0a-f699a8528eb6</site_id>
        <descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 1</d5p1:Key>
            <d5p1:Value>sample string 2</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>sample string 3</d5p1:Key>
            <d5p1:Value>sample string 4</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
        </descriptions>
      </washing_process>
    </washing_processes>
  </contract>
</ArrayOfcontract>